gnutls_x509_privkey_export_dsa_raw(3)

NAME
gnutls_x509_privkey_export_dsa_raw - export the DSA private key

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_export_dsa_raw(gnutls_x509_privkey_t key, gnutls_datum_t * p, gnutls_datum_t * q, gnutls_datum_t * g, gnutls_datum_t * y, gnutls_datum_t * x);

ARGUMENTS

gnutls_x509_privkey_t key

gnutls_datum_t * p
    will hold the p

gnutls_datum_t * q
    will hold the q

gnutls_datum_t * g
    will hold the g

gnutls_datum_t * y
    will hold the y

gnutls_datum_t * x
    will hold the x

DESCRIPTION
This function will export the DSA private key's parameters found in the given structure. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.